org.apache.avro

## Class SchemaBuilder.IntDefault<R>

- java.lang.Object
- - org.apache.avro.SchemaBuilder.FieldDefault<R,SchemaBuilder.IntDefault<R>>
  - - org.apache.avro.SchemaBuilder.IntDefault<R>

- Enclosing class:
    SchemaBuilder

      public static class SchemaBuilder.IntDefault<R>
      extends SchemaBuilder.FieldDefault<R,SchemaBuilder.IntDefault<R>>

  Choose whether to use a default value for the field or not.

- - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `SchemaBuilder.FieldAssembler<R>` | `intDefault(int defaultVal)` Completes this field with the default value provided

    - ### Methods inherited from class org.apache.avro.SchemaBuilder.FieldDefault

      `noDefault`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### intDefault

          public final SchemaBuilder.FieldAssembler<R> intDefault(int defaultVal)

      Completes this field with the default value provided

Copyright © 2009–2024 The Apache Software Foundation. All rights reserved.